Retrieve a dataset
curl --request GET \
--url https://api.capibo.work/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "DS-301",
"name": "Household laundry folding · v1.2",
"mission_id": "MSN-1042",
"version": "v1.2",
"videos": 7339,
"hours": 49,
"avg_quality": 90,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}{
"error": {
"type": "not_found",
"code": "resource_missing",
"message": "No mission with id MSN-9999."
}
}Datasets
Retrieve a dataset
GET
/
datasets
/
{dataset_id}
Retrieve a dataset
curl --request GET \
--url https://api.capibo.work/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "DS-301",
"name": "Household laundry folding · v1.2",
"mission_id": "MSN-1042",
"version": "v1.2",
"videos": 7339,
"hours": 49,
"avg_quality": 90,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}{
"error": {
"type": "not_found",
"code": "resource_missing",
"message": "No mission with id MSN-9999."
}
}Authorizations
An API key from Settings → API keys, e.g. cpb_live_… or cpb_test_….
Path Parameters
Example:
"DS-301"